Commit 443a8035 authored by Kenichi Ishigaki's avatar Kenichi Ishigaki

fixed 20_parse_self.t; version.pm is not used anymore

parent 8b5d1a03
......@@ -30,13 +30,13 @@ use Module::ExtractUse;
my $p=Module::ExtractUse->new;
$p->extract_use('lib/Module/ExtractUse.pm');
cmp_deeply($p->arrayref,
bag(qw(strict version warnings Pod::Strip Parse::RecDescent Module::ExtractUse::Grammar Carp 5.008)),
bag(qw(strict warnings Pod::Strip Parse::RecDescent Module::ExtractUse::Grammar Carp 5.008)),
'modules used in this Module::ExtractUsed');
cmp_deeply([$p->arrayref_in_eval],
[],
'optional modules used in this Module::ExtractUsed');
cmp_deeply($p->arrayref_out_of_eval,
bag(qw(strict version warnings Pod::Strip Parse::RecDescent Module::ExtractUse::Grammar Carp 5.008)),
bag(qw(strict warnings Pod::Strip Parse::RecDescent Module::ExtractUse::Grammar Carp 5.008)),
'mandatory modules used in this Module::ExtractUsed');
my $used=$p->used;
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment